Générez des vidéos Veo3 de manière asynchrone via POST /v1/videos dans CometAPI, avec retour d’un id de tâche et prise en charge du guidage par première/dernière image pour des clips de 8 secondes.
curl --request POST \
--url https://api.cometapi.com/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'prompt=A paper kite floats above a field.' \
--form input_reference='@example-file'{
"created_at": 1773297229,
"id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
"model": "veo_3_1-4K",
"object": "video",
"progress": 0,
"seconds": "",
"size": "16x9",
"status": "queued"
}/v1/videos. Choisissez un alias Veo actuel depuis la page Models lors de la définition de model.
input_referenceinput_referenceinput_reference ordonnésSoumettre la tâche Veo
id renvoyé.Interroger l’endpoint vidéo partagé
model dans la réponse peut afficher l’id du modèle backend résolu plutôt que l’alias que vous avez soumis. Utilisez la page Models pour trouver les alias Veo actuels.Bearer token authentication. Use your CometAPI key.
Text prompt for the video job.
"A paper kite floats above a field."
CometAPI Veo alias. Use a current Veo alias from the Models page. The response may resolve this alias to a provider model id.
"veo3-fast"
Orientation hint used by the wrapper. Use a landscape-like value such as 16x9 or a portrait-like value such as 9x16.
"16x9"
Optional image input. Send one file for image-to-video or two ordered files for first-frame and last-frame guidance.
curl --request POST \
--url https://api.cometapi.com/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'prompt=A paper kite floats above a field.' \
--form input_reference='@example-file'{
"created_at": 1773297229,
"id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
"model": "veo_3_1-4K",
"object": "video",
"progress": 0,
"seconds": "",
"size": "16x9",
"status": "queued"
}